Name:           kazam
Version:        1.4.5
Release:        %mkrel 12
Summary:        A screencasting program created with design in mind
License:        GPLv3+
Group:          Video/Utilities
Url:            https://launchpad.net/kazam
Source0:        https://launchpad.net/kazam/stable/%{version}/+download/%{name}-%{version}.tar.gz
# Upstream
Patch1:         0001-Preparing-config-was-fixed.patch
# Mageia
Patch50:        0001-Replace-deprecated-platform.linux_distribution.patch
Patch51:        kazam-1.4.5-mga-desktop-drop-unity-and-keywords.patch
Patch52:        0001-Port-to-Ayatana-AppIndicator.patch
#Others
Patch100:       kazam-1.4.5-fix-some-PyGIWarning.patch
BuildRequires:  intltool
BuildRequires:  python3-distutils-extra
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject3
Requires:       python3-pyxdg
BuildArch:      noarch

%description
Kazam is a simple screen recording program that will capture the content of
your screen and record a video file that can be played by any video player
that supports VP8/WebM video format.

Optionally you can record sound from any sound input device that is supported
and visible by PulseAudio.

%prep
%setup -q
%autopatch -p1

sed -i s,"DISTRO='.*'","DISTRO='%{_vendor}'",g kazam/version.py
sed -i s,"RELEASE='.*'","RELEASE='%{product_version}'",g kazam/version.py

%build
%py3_build

%install
%{__python3} setup.py install --root=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/gnome/scalable/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/*/%{name}*.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Aug 06 2020 wally <wally> 1.4.5-12.mga8
+ Revision: 1611497
- port to Ayatana AppIndicator

* Sun Mar 22 2020 wally <wally> 1.4.5-11.mga8
+ Revision: 1558924
- add a patch to replace deprecated platform.linux_distribution()
- fix distro name in kazam/version.py

* Sun Mar 22 2020 wally <wally> 1.4.5-10.mga8
+ Revision: 1558884
- replace P1 with a patch from upstream PR to fix error when starting the app (mga#26370)

* Sun Feb 16 2020 umeabot <umeabot> 1.4.5-9.mga8
+ Revision: 1532702
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 1.4.5-8.mga8
+ Revision: 1442754
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 1.4.5-7.mga7
+ Revision: 1354847
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.5-6.mga7
+ Revision: 1279178
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4.5-5.mga7
+ Revision: 1135242
- Rebuild for python 3.6

* Mon Sep 12 2016 daviddavid <daviddavid> 1.4.5-4.mga6
+ Revision: 1051617
- add patch from debian to fix a configparser api changes (fixes mga#19334)
- add another patch to fix some PyGIWarning specifying first a version

* Fri Feb 19 2016 umeabot <umeabot> 1.4.5-3.mga6
+ Revision: 970719
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 1.4.5-2.mga6
+ Revision: 887773
- rebuild for python 3.5
- use new python3 macros

* Sat Jul 11 2015 akien <akien> 1.4.5-1.mga6
+ Revision: 853311
- Also drop keywords from desktop file as some translations are invalid
- Drop Unity-specific stuff from desktop file
- imported package kazam

